GMKPATH = ..
include $(GMKPATH)/Makefile.config

LDFLAGS = $(LDFL) -L.. -lfwall

BINOBJS = logtail
PCBOBJS = chart.pl daily_report frequentcheck frequentcheck.sh summ_complete.pl \
          summ_resources.sh get_today
ETCOBJS = alerts.add warnings.add frequentcheck.ignore securityalerts.ignore    \
          securitywarnings.ignore syserr.ignore
LTLOBJS = logtail.o
ALLOBJS = $(LTLOBJS) $(BINOBJS)

all: $(ALLOBJS)

logtail: $(LTLOBJS)
	$(OFWTKLINK) $(LTLOBJS)

INSTALLADD =												\
	if ! grep -q frequentcheck /etc/crontab; then 							\
	    echo "59      *       *       *       *       root    $(DEST)/frequentcheck">>/etc/crontab ;\
	fi; 												\
	if ! grep -q daily_report /etc/crontab; then 							\
	    echo "58      23      *       *       *       root    $(DEST)/daily_report">>/etc/crontab ;	\
	fi
